FDISK(8)

NAME
acorn-fdisk - partition editor for Acorn/RISC OS machines

SYNOPSIS
acorn-fdisk -h - --help - -v - --version

acorn-fdisk [ -t scheme --type scheme] -l - --list [device ...]

acorn-fdisk [ -t scheme --type scheme] -s - --size partition

acorn-fdisk [ -t scheme --type scheme] [device]

DESCRIPTION
The acorn-fdisk utility allows one to display or interactively edit partition tables for Acorn/RISC OS machines in various formats. Using the PC/BIOS format, standard IBM PC (i386) partition tables can also be accessed. When no optional device is given, it defaults to /dev/hda or /dev/sda.

The options are as follows:

-h - --help
    Display a short usage and exit immediately.

-l - --list
    Display the partition table(s) of all devices.

-s - --size
    Display the size of partition.

-t - --type
    Select the partitioning scheme to use. Valid schemes are:

    EESOX
        Eesox SCSI on the Acorn machines.

    ICSIDEFS
        ICS IDE.

    Filecore/Linux
        Linux on Filecore. This uses the non-ADFS descriptor to point to the start of the disc to be partitioned. The first two sectors contain a partition table to identify the Linux partitions contained within.

    PC/BIOS
        PC/BIOS partitioning scheme. This consists of a partition table in the first sector of the disk which contains both CHS and LBA values for the partitions. There can be up to four entries in the primary partition table. One of these can be an extended partition containing up to four extra partitions.

    PowerTec
        PowerTec SCSI on the Acorn machines.

    Filecore/RISCiX
        RiscIX on Filecore.

-v - --version
    Display the version of acorn-fdisk and exit immediately.

If neither -l - --list or -s - --size are given, the partition table of the given device will be edited interactively.

EXAMPLES
Display the default device's partition table on a PC:

acorn-fdisk --type PC/BIOS -l

Display the PC partition table of /dev/sda:

acorn-fdisk --type PC/BIOS --list /dev/sda

Display the size in blocks of the partition /dev/sda1:

acorn-fdisk --type PC/BIOS --size /dev/sda1

Edit the MBR partition table interactively:

acorn-fdisk --type PC/BIOS

Display the partition table of an MBR backed up to a file:

acorn-fdisk -t PC/BIOS -l mbrdump.bin

Display the size of the first partition on a device where the MBR would be restored from the backup file mbrdump.bin:

acorn-fdisk -t PC/BIOS -s mbrdump.bin1

AUTHORS
arm-fdisk was written by Russell King <rmk@arm.uk.linux.org> based on util-linux fdisk, which was written at least partially by A. V. Le Blanc <LeBlanc@mcc.ac.uk>.

This manual page was written for the Debian system by Thorsten Glaser <tg@debian.org> but may be used by others.